Bug 843256 - oxygen-gtk theme leads to unreadable menus in guitarix
oxygen-gtk theme leads to unreadable menus in guitarix
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oxygen-gtk2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 18:12 EDT by Ian Malone
Modified: 2013-03-10 17:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: oxygen-gtk2-1.3.2.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-10 17:13:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 304063 None None None 2012-07-25 18:12:00 EDT

  None (edit)
Description Ian Malone 2012-07-25 18:12:00 EDT
As filed in KDE bugzilla:
Using Oxygen-gtk in fedora (oxygen-gtk2-1.2.5-1.fc17.x86_64) and guitarix (guitarix-0.22.3-1.fc17.x86_64) under KDE (kde-runtime-4.8.4-2.fc17.x86_64) I find Guitarix menus (gtk2 app) look like the attached screenshot. Guitarix has a number of themes which set the menu bar and menu drop down background colours and font colours, but it seems the menu drop-down background colour changes are never honoured and the menu bar background colours are only honoured when using qt-curve or clearlook rather than oxygen-gtk. The behaviour is okay in Gnome3. I'm afraid I'm not very familiar with the KDE infrastructure so I'm not 100% this is the right component to file against. Reproducible: Always Steps to Reproduce: 1. Start guitarix in KDE 2. Try the drop down menus. If you can read them try the Gx7-blues or Gx1-alloy skins 3. Actual Results: Can't read menus Expected Results: Can read menus
Comment 1 nucleo 2012-07-25 18:14:37 EDT
Can you check oxygen-gtk2-1.3.0 from updates testing?
Comment 2 Ian Malone 2012-07-25 18:57:19 EDT
Have just tried it, no change unfortunately.
Comment 3 Ian Malone 2012-08-03 07:12:56 EDT
This is fixed in upstream master and 1.3 branches.
Comment 4 Rex Dieter 2013-03-10 17:13:14 EDT
oxygen-gtk2-1.3.2.1-1.fc17 is shipped now in f17 updates. based on comment #3, this should be fixed now.

(Please do re-open if that is not the case)

Note You need to log in before you can comment on or make changes to this bug.